﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Workflows;
using MediatR;

namespace Hotline.Orders.Notifications
{
    /// <summary>
    /// 查询工单详情
    /// </summary>
    public class GetOrderDetailNotify : INotification
    {
        public GetOrderDetailNotify(Workflow workflow,
            string userId, string? userName,
            string orgId, string? orgName,
            string? orgAreaCode, string? orgAreaName
            )
        {
            Workflow = workflow;
            UserId = userId;
            UserName = userName;
            OrgId = orgId;
            OrgName = orgName;
            OrgAreaCode = orgAreaCode;
            OrgAreaName = orgAreaName;
        }

        public string UserId { get; set; }
        public string? UserName { get; set; }
        public string OrgId { get; set; }
        public string? OrgName { get; set; }
        public string? OrgAreaCode { get; set; }
        public string? OrgAreaName { get; set; }
        public Workflow Workflow { get; set; }
    }
}
